Skip to content

REST API - nibiru/epochs ​

Query Service - nibiru/epochs ​

/nibiru/epochs/v1beta1/current_epoch ​

bash
# You can also use wget
curl -X GET https://lcd.nibiru.fi/nibiru/epochs/v1beta1/current_epoch \
  -H 'Accept: application/json'
Summary ​

CurrentEpoch provide current epoch of specified identifier

Parameters ​
NameLocated inDescriptionRequiredSchema
identifierqueryNostring
Responses ​
CodeDescriptionSchema
200A successful response.v1QueryCurrentEpochResponse
defaultAn unexpected error response.runtimeError

/nibiru/epochs/v1beta1/epochs ​

bash
# You can also use wget
curl -X GET https://lcd.nibiru.fi/nibiru/epochs/v1beta1/epochs \
  -H 'Accept: application/json'
Summary ​

EpochInfos provide running epochInfos

Responses ​
CodeDescriptionSchema
200A successful response.v1QueryEpochInfosResponse
defaultAn unexpected error response.runtimeError

Models ​

protobufAny ​

NameTypeDescriptionRequired
type_urlstringNo
valuebyteNo

runtimeError ​

NameTypeDescriptionRequired
errorstringNo
codeintegerNo
messagestringNo
details[ protobufAny ]No

v1EpochInfo ​

NameTypeDescriptionRequired
identifierstringNo
start_timedateTimeWhen the epoch repetitino should start.No
durationstringHow long each epoch lasts for.No
current_epochstring (uint64)The current epoch number, starting from 1.No
current_epoch_start_timedateTimeThe start timestamp of the current epoch.No
epoch_counting_startedbooleanWhether or not this epoch has started. Set to true if current blocktime >= start_time.No
current_epoch_start_heightstring (int64)The block height at which the current epoch started at.No

v1QueryCurrentEpochResponse ​

NameTypeDescriptionRequired
current_epochstring (uint64)No

v1QueryEpochInfosResponse ​

NameTypeDescriptionRequired
epochs[ v1EpochInfo ]No